package com.bocloud.cmp.model.xsky;

import java.util.Date;
import java.util.List;

public class FileUserModel {
    private String name;
    private String email;
    private Long fsAccessGroupNum;
    private List<FileUserGroupModel> userGroupModels;
    private String type;
    private boolean imported;
    private String password;
    private Date updateTime;
    private String fileUserUuid;
    private Date createTime;
    private String status;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public boolean isImported() {
        return imported;
    }

    public void setImported(boolean imported) {
        this.imported = imported;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getFileUserUuid() {
        return fileUserUuid;
    }

    public void setFileUserUuid(String fileUserUuid) {
        this.fileUserUuid = fileUserUuid;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Long getFsAccessGroupNum() {
        return fsAccessGroupNum;
    }

    public void setFsAccessGroupNum(Long fsAccessGroupNum) {
        this.fsAccessGroupNum = fsAccessGroupNum;
    }

    public List<FileUserGroupModel> getUserGroupModels() {
        return userGroupModels;
    }

    public void setUserGroupModels(List<FileUserGroupModel> userGroupModels) {
        this.userGroupModels = userGroupModels;
    }
}
